<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Repository;

use Doctrine\ORM\EntityRepository;
use Operation\Entity\AdSlide;
use Operation\Entity\AdSlideContent;

class AdSlideRepository extends EntityRepository
{
    /*=====================================前台=====================================*/
    public function findAdSlide($adId, $languageCode)
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('s')
            ->addSelect("(SELECT c.adWords FROM ".AdSlideContent::class." AS c WHERE c.adSlideId=s.adSlideId AND c.languageCode='".$languageCode."') AS adWords")
            ->from(AdSlide::class, 's')
            ->where('s.adId = :adId')->setParameter('adId', $adId)
            ->orderBy('s.adSlideSort', 'ASC');

        return $query->getQuery()->getResult();
    }
}